All Classes Namespaces Functions Variables Pages
AmoebaBondForce Class Reference

This class implements an interaction between pairs of particles that varies with the distance between them. More...

Inheritance diagram for AmoebaBondForce:

## Public Member Functions

def | getNumBonds
| getNumBonds(AmoebaBondForce self) -> int More...
def | setAmoebaGlobalBondCubic
| setAmoebaGlobalBondCubic(AmoebaBondForce self, double cubicK) More...
def | getAmoebaGlobalBondCubic
| getAmoebaGlobalBondCubic(AmoebaBondForce self) -> double More...
def | setAmoebaGlobalBondQuartic
| setAmoebaGlobalBondQuartic(AmoebaBondForce self, double quarticK) More...
def | getAmoebaGlobalBondQuartic
| getAmoebaGlobalBondQuartic(AmoebaBondForce self) -> double More...
def | addBond
| addBond(AmoebaBondForce self, int particle1, int particle2, double length, double quadraticK) -> int More...
def | getBondParameters
| getBondParameters(AmoebaBondForce self, int index) More...
def | setBondParameters
| setBondParameters(AmoebaBondForce self, int index, int particle1, int particle2, double length, double quadraticK) More...
def | updateParametersInContext
| updateParametersInContext(AmoebaBondForce self, Context context) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(AmoebaBondForce self) -> bool More...
def | __init__
| init(OpenMM::AmoebaBondForce self) -> AmoebaBondForce init(OpenMM::AmoebaBondForce self, AmoebaBondForce other) -> AmoebaBondForce More...
def | __del__
| del(OpenMM::AmoebaBondForce self) More...
Public Member Functions inherited from Force
def | __init__
def | __del__
| del(OpenMM::Force self) More...
def | getForceGroup
| getForceGroup(Force self) -> int More...
def | setForceGroup
| setForceGroup(Force self, int group) More...
def | usesPeriodicBoundaryConditions
| usesPeriodicBoundaryConditions(Force self) -> bool More...
def | __copy__
def | __deepcopy__

## Public Attributes

| this

## Detailed Description

This class implements an interaction between pairs of particles that varies with the distance between them.

The interaction is defined by a 4th order polynomial. Only the quadratic term is set per-bond. The coefficients of the higher order terms each have a single value that is set globally.

To use it, create an AmoebaBondForce object then call addBond() once for each bond. After a bond has been added, you can modify its force field parameters by calling setBondParameters(). This will have no effect on Contexts that already exist unless you call updateParametersInContext().

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | args
| ) |  |

init(OpenMM::AmoebaBondForce self) -> AmoebaBondForce init(OpenMM::AmoebaBondForce self, AmoebaBondForce other) -> AmoebaBondForce

Create an AmoebaBondForce.

References simtk.openmm.openmm.stripUnits().

def __del__ | ( |  | self | ) |

del(OpenMM::AmoebaBondForce self)

References simtk.openmm.openmm.stripUnits().

## Member Function Documentation

def addBond | ( |  | self,
|  |  | args
| ) |  |

addBond(AmoebaBondForce self, int particle1, int particle2, double length, double quadraticK) -> int

Add a bond term to the force field.

Parameters

  particle1 | the index of the first particle connected by the bond
  particle2 | the index of the second particle connected by the bond
  length | the equilibrium length of the bond, measured in nm
  k | the quadratic force constant for the bond

References simtk.openmm.openmm.stripUnits().

Referenced by Topology.createDisulfideBonds(), and Topology.createStandardBonds().

def getAmoebaGlobalBondCubic | ( |  | self,
|  |  | args
| ) |  |

getAmoebaGlobalBondCubic(AmoebaBondForce self) -> double

Get the global cubic term

References simtk.openmm.openmm.stripUnits().

def getAmoebaGlobalBondQuartic | ( |  | self,
|  |  | args
| ) |  |

getAmoebaGlobalBondQuartic(AmoebaBondForce self) -> double

Get the global quartic term

References simtk.openmm.openmm.stripUnits().

def getBondParameters | ( |  | self,
|  |  | args
| ) |  |

getBondParameters(AmoebaBondForce self, int index)

Get the force field parameters for a bond term.

Parameters

  index | the index of the bond for which to get parameters
  particle1 | the index of the first particle connected by the bond
  particle2 | the index of the second particle connected by the bond
  length | the equilibrium length of the bond, measured in nm
  quadratic | k the quadratic force constant for the bond

References simtk.openmm.openmm.stripUnits().

def getNumBonds | ( |  | self,
|  |  | args
| ) |  |

getNumBonds(AmoebaBondForce self) -> int

Get the number of bond stretch terms in the potential function

References simtk.openmm.openmm.stripUnits().

def setAmoebaGlobalBondCubic | ( |  | self,
|  |  | args
| ) |  |

setAmoebaGlobalBondCubic(AmoebaBondForce self, double cubicK)

Set the global cubic term

Parameters

  cubicK | the cubic force constant for the bond

References simtk.openmm.openmm.stripUnits().

def setAmoebaGlobalBondQuartic | ( |  | self,
|  |  | args
| ) |  |

setAmoebaGlobalBondQuartic(AmoebaBondForce self, double quarticK)

Set the global quartic term

Parameters

  quarticK | the quartic force constant for the bond

References simtk.openmm.openmm.stripUnits().

def setBondParameters | ( |  | self,
|  |  | args
| ) |  |

setBondParameters(AmoebaBondForce self, int index, int particle1, int particle2, double length, double quadraticK)

Set the force field parameters for a bond term.

Parameters

  index | the index of the bond for which to set parameters
  particle1 | the index of the first particle connected by the bond
  particle2 | the index of the second particle connected by the bond
  length | the equilibrium length of the bond, measured in nm
  k | the quadratic force constant for the bond

References simtk.openmm.openmm.stripUnits().

def updateParametersInContext | ( |  | self,
|  |  | args
| ) |  |

updateParametersInContext(AmoebaBondForce self, Context context)

Update the per-bond parameters in a Context to match those stored in this Force object. This method provides an efficient method to update certain parameters in an existing Context without needing to reinitialize it. Simply call setBondParameters() to modify this object's parameters, then call updateParametersInContext() to copy them over to the Context.

The only information this method updates is the values of per-bond parameters. The set of particles involved in a bond cannot be changed, nor can new bonds be added.

References simtk.openmm.openmm.stripUnits().

def usesPeriodicBoundaryConditions | ( |  | self,
|  |  | args
| ) |  |

usesPeriodicBoundaryConditions(AmoebaBondForce self) -> bool

Returns whether or not this force makes use of periodic boundary conditions.

References simtk.openmm.openmm.stripUnits().

## Member Data Documentation

this

Referenced by System.__init__().

The documentation for this class was generated from the following file:

- openmm.py